org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Class PDSeedValueTimeStamp

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.digitalsignature.PDSeedValueTimeStamp

    public class PDSeedValueTimeStamp
    extends Object

This optional dictionary provides the URL for a RFC3161 time-stamping server, and whether the timestamp is required for the signature.

Author:
  Thomas Chojecki

### Constructor Summary

Constructors
Constructor and Description
`PDSeedValueTimeStamp()` Default constructor.
`PDSeedValueTimeStamp(COSDictionary dict)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS dictionary.
`String` `getURL()` Returns the URL.
`boolean` `isTimestampRequired()` Indicates if a timestamp is required.
`void` `setTimestampRequired(boolean flag)` Sets if a timestamp is required or not.
`void` `setURL(String url)` Sets the URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDSeedValueTimeStamp

    public PDSeedValueTimeStamp()

Default constructor.

#### PDSeedValueTimeStamp

    public PDSeedValueTimeStamp(COSDictionary dict)

Constructor.

Parameters:
  `dict` - The signature dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS dictionary.

Returns:
  The COS dictionary that matches this Java object.

#### getURL

    public String getURL()

Returns the URL.

Returns:
  the URL

#### setURL

    public void setURL(String url)

Sets the URL.

Parameters:
  `url` - the URL to be set as URL

#### isTimestampRequired

    public boolean isTimestampRequired()

Indicates if a timestamp is required.

Returns:
  true if a timestamp is required

#### setTimestampRequired

    public void setTimestampRequired(boolean flag)

Sets if a timestamp is required or not.

Parameters:
  `flag` - true if a timestamp is required